Index: flash.h
===================================================================
--- flash.h	(revision 694)
+++ flash.h	(working copy)
@@ -574,6 +574,11 @@
 void write_page_m29f400bt(chipaddr bios, uint8_t *src,
 			  chipaddr dst, int page_size);
 
+/*mx29f001.c*/
+int probe_29f001(struct flashchip *flash);
+int erase_29f001(struct flashchip *flash);
+int write_29f001(struct flashchip *flash, uint8_t *buf);
+
 /* mx29f002.c */
 int probe_29f002(struct flashchip *flash);
 int erase_29f002(struct flashchip *flash);
Index: flashchips.c
===================================================================
--- flashchips.c	(revision 694)
+++ flashchips.c	(working copy)
@@ -1396,6 +1396,38 @@
 
 	{
 		.vendor		= "Macronix",
+		.name		= "MX29F001T",
+		.bustype	= CHIP_BUSTYPE_PARALLEL,
+		.manufacture_id	= MX_ID,
+		.model_id	= MX_29F001T,
+		.total_size	= 128,
+		.page_size	= 32 * 1024,
+		.tested		= TEST_UNTESTED,
+		.probe		= probe_29f001,
+		.probe_timing	= TIMING_IGNORED, /* routine don't use probe_timing (mx29f001.c) */
+		.erase		= erase_29f001,
+		.write		= write_29f001,
+		.read		= read_memmapped,
+	},
+	
+		{
+		.vendor		= "Macronix",
+		.name		= "MX29F001B",
+		.bustype	= CHIP_BUSTYPE_PARALLEL,
+		.manufacture_id	= MX_ID,
+		.model_id	= MX_29F001B,
+		.total_size	= 128,
+		.page_size	= 32 * 1024,
+		.tested		= TEST_UNTESTED,
+		.probe		= probe_29f001,
+		.probe_timing	= TIMING_IGNORED, /* routine don't use probe_timing (mx29f001.c) */
+		.erase		= erase_29f001,
+		.write		= write_29f001,
+		.read		= read_memmapped,
+	},
+
+	{
+		.vendor		= "Macronix",
 		.name		= "MX29F002B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= MX_ID,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 694)
+++ flashchips.h	(working copy)
@@ -262,6 +262,8 @@
 #define MX_25L12805		0x2018	/* MX25L12805 */
 #define MX_25L1635D		0x2415
 #define MX_25L3235D		0x5E16	/* MX25L3225D/MX25L3235D/MX25L3237D */
+#define MX_29F001T		0x18
+#define MX_29F001B		0x19
 #define MX_29F002B		0x34	/* Same as MX29F002NB */
 #define MX_29F002T		0xB0	/* Same as MX29F002NT */
 #define MX_29F004B		0x46
Index: Makefile
===================================================================
--- Makefile	(revision 694)
+++ Makefile	(working copy)
@@ -44,7 +44,7 @@
 LIBS += -lpci -lz
 
 OBJS = chipset_enable.o board_enable.o udelay.o jedec.o stm50flw0x0x.o \
-	sst28sf040.o am29f040b.o mx29f002.o m29f400bt.o pm29f002.o \
+	sst28sf040.o am29f040b.o mx29f001.o mx29f002.o m29f400bt.o pm29f002.o \
 	w49f002u.o 82802ab.o pm49fl00x.o sst49lf040.o en29f002a.o \
 	sst49lfxxxc.o sst_fwhub.o layout.o cbtable.o flashchips.o physmap.o \
 	flashrom.o w39v080fa.o sharplhf00l04.o w29ee011.o spi.o it87spi.o \
